Debian Bug report logs - #494365
2.6.26 hangs on opteron CPUs

version graph

Package: linux-image-2.6.26-1-amd64; Maintainer for linux-image-2.6.26-1-amd64 is (unknown);

Reported by: Peter Palfrader <weasel@debian.org>

Date: Fri, 8 Aug 2008 18:54:02 UTC

Severity: important

Found in version linux-2.6/2.6.26-1

Fixed in version linux-2.6/2.6.26-3

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#494365; Package linux-image-2.6.26-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Peter Palfrader <weasel@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter Palfrader <weasel@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: 2.6.26 hangs on opteron CPUs
Date: Fri, 08 Aug 2008 20:51:33 +0200
Package: linux-image-2.6.26-1-amd64
Version: 2.6.26-1
Severity: important

Hi,

it seems that 2.6.26 (whether the debian package or the kernel.org
kernel) locks up after a while on Debian's DL385G1 systems.

After a while, sooner with more disk IO/filesystem load, the system
hangs: it continues to do stuff but everything involving disk hangs
forever.

The systems work just fine on a 2.6.25.10 kernel.

The servers have Opterons like this:
cpu family      : 15
model           : 33

so http://www.uwsg.iu.edu/hypermail/linux/kernel/0808.0/0882.html might
explain it.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#494365; Package linux-image-2.6.26-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 494365@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: Peter Palfrader <weasel@debian.org>, 494365@bugs.debian.org
Subject: Re: Bug#494365: 2.6.26 hangs on opteron CPUs
Date: Mon, 11 Aug 2008 23:17:34 -0600
[Message part 1 (text/plain, inline)]
On Fri, Aug 08, 2008 at 08:51:33PM +0200, Peter Palfrader wrote:
> Package: linux-image-2.6.26-1-amd64
> Version: 2.6.26-1
> Severity: important
> 
> Hi,
> 
> it seems that 2.6.26 (whether the debian package or the kernel.org
> kernel) locks up after a while on Debian's DL385G1 systems.
> 
> After a while, sooner with more disk IO/filesystem load, the system
> hangs: it continues to do stuff but everything involving disk hangs
> forever.
> 
> The systems work just fine on a 2.6.25.10 kernel.
> 
> The servers have Opterons like this:
> cpu family      : 15
> model           : 33
> 
> so http://www.uwsg.iu.edu/hypermail/linux/kernel/0808.0/0882.html might
> explain it.

hey Peter,
 This is readily reproducible - a simple kernel compile was all it
took. git bisecting suggests that this issue was introduced by [1]
and unmasked by [2] during 2.6.26 devlopment. It was later fixed
during 2.6.27 development by [3].

Can you confirm that the attached backport of [3] fixes the problem
for you?

[1] 35605a1027ac630f85a1b95684f7e86b82498cd6
[2] 8d539108560ec121d59eee05160236488266221c
[3] 8004dd965b13b01a96def054d420f6df7ff22d53


-- 
dann frazier

[x86-amd-opteron-tom2-mask-val-fix.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#494365; Package linux-image-2.6.26-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 494365@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: dann frazier <dannf@debian.org>, 494365@bugs.debian.org
Cc: Peter Palfrader <weasel@debian.org>, stable@kernel.org
Subject: Re: Bug#494365: 2.6.26 hangs on opteron CPUs
Date: Tue, 12 Aug 2008 08:17:48 +0200
adding stable@kernel.org on cc for
8004dd965b13b01a96def054d420f6df7ff22d53

On Mon, Aug 11, 2008 at 11:17:34PM -0600, dann frazier wrote:
> On Fri, Aug 08, 2008 at 08:51:33PM +0200, Peter Palfrader wrote:
> > Package: linux-image-2.6.26-1-amd64
> > Version: 2.6.26-1
> > Severity: important
> > 
> > Hi,
> > 
> > it seems that 2.6.26 (whether the debian package or the kernel.org
> > kernel) locks up after a while on Debian's DL385G1 systems.
> > 
> > After a while, sooner with more disk IO/filesystem load, the system
> > hangs: it continues to do stuff but everything involving disk hangs
> > forever.
> > 
> > The systems work just fine on a 2.6.25.10 kernel.
> > 
> > The servers have Opterons like this:
> > cpu family      : 15
> > model           : 33
> > 
> > so http://www.uwsg.iu.edu/hypermail/linux/kernel/0808.0/0882.html might
> > explain it.
> 
> hey Peter,
>  This is readily reproducible - a simple kernel compile was all it
> took. git bisecting suggests that this issue was introduced by [1]
> and unmasked by [2] during 2.6.26 devlopment. It was later fixed
> during 2.6.27 development by [3].
> 
> Can you confirm that the attached backport of [3] fixes the problem
> for you?
> 
> [1] 35605a1027ac630f85a1b95684f7e86b82498cd6
> [2] 8d539108560ec121d59eee05160236488266221c
> [3] 8004dd965b13b01a96def054d420f6df7ff22d53
> 
> 
> -- 
> dann frazier
> 

> commit 8004dd965b13b01a96def054d420f6df7ff22d53
> Author: Yinghai Lu <yhlu.kernel@gmail.com>
> Date:   Mon May 12 17:40:39 2008 -0700
> 
>     x86: amd opteron TOM2 mask val fix
>     
>     there is a typo in the mask value, need to remove that extra 0,
>     to avoid 4bit clearing.
>     
>     Signed-off-by: Yinghal Lu <yhlu.kernel@gmail.com>
>     Signed-off-by: Ingo Molnar <mingo@elte.hu>
> 
> Backported to Debian's 2.6.26 by dann frazier <dannf@hp.com>
> 
> diff -urpN linux-source-2.6.26.orig/arch/x86/kernel/cpu/mtrr/generic.c linux-source-2.6.26/arch/x86/kernel/cpu/mtrr/generic.c
> --- linux-source-2.6.26.orig/arch/x86/kernel/cpu/mtrr/generic.c	2008-08-11 22:55:59.000000000 -0600
> +++ linux-source-2.6.26/arch/x86/kernel/cpu/mtrr/generic.c	2008-08-11 22:57:13.000000000 -0600
> @@ -219,7 +219,7 @@ void __init get_mtrr_state(void)
>  		tom2 = hi;
>  		tom2 <<= 32;
>  		tom2 |= lo;
> -		tom2 &= 0xffffff8000000ULL;
> +		tom2 &= 0xffffff800000ULL;
>  	}
>  	if (mtrr_show) {
>  		int high_width;
> diff -urpN linux-source-2.6.26.orig/arch/x86/pci/k8-bus_64.c linux-source-2.6.26/arch/x86/pci/k8-bus_64.c
> --- linux-source-2.6.26.orig/arch/x86/pci/k8-bus_64.c	2008-08-11 22:55:59.000000000 -0600
> +++ linux-source-2.6.26/arch/x86/pci/k8-bus_64.c	2008-08-11 22:57:13.000000000 -0600
> @@ -384,7 +384,7 @@ static int __init early_fill_mp_bus_info
>  	/* need to take out [0, TOM) for RAM*/
>  	address = MSR_K8_TOP_MEM1;
>  	rdmsrl(address, val);
> -	end = (val & 0xffffff8000000ULL);
> +	end = (val & 0xffffff800000ULL);
>  	printk(KERN_INFO "TOM: %016lx aka %ldM\n", end, end>>20);
>  	if (end < (1ULL<<32))
>  		update_range(range, 0, end - 1);
> @@ -478,7 +478,7 @@ static int __init early_fill_mp_bus_info
>  		/* TOP_MEM2 */
>  		address = MSR_K8_TOP_MEM2;
>  		rdmsrl(address, val);
> -		end = (val & 0xffffff8000000ULL);
> +		end = (val & 0xffffff800000ULL);
>  		printk(KERN_INFO "TOM2: %016lx aka %ldM\n", end, end>>20);
>  		update_range(range, 1ULL<<32, end - 1);
>  	}





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#494365; Package linux-image-2.6.26-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Peter Palfrader <weasel@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 494365@bugs.debian.org (full text, mbox):

From: Peter Palfrader <weasel@debian.org>
To: dann frazier <dannf@debian.org>
Cc: 494365@bugs.debian.org, maximilian attems <max@stro.at>, stable@kernel.org
Subject: Re: Bug#494365: 2.6.26 hangs on opteron CPUs
Date: Tue, 12 Aug 2008 10:21:05 +0200
On Fri, Aug 08, 2008 at 08:51:33PM +0200, Peter Palfrader wrote:
> > > it seems that 2.6.26 (whether the debian package or the kernel.org
> > > kernel) locks up after a while on Debian's DL385G1 systems.

On Mon, Aug 11, 2008 at 11:17:34PM -0600, dann frazier wrote:
> > hey Peter,
> >  This is readily reproducible - a simple kernel compile was all it
> > took. git bisecting suggests that this issue was introduced by [1]
> > and unmasked by [2] during 2.6.26 devlopment. It was later fixed
> > during 2.6.27 development by [3].
> > 
> > Can you confirm that the attached backport of [3] fixes the problem
> > for you?

> > [3] 8004dd965b13b01a96def054d420f6df7ff22d53

I upgraded several of Debian's machines to 2.6.26.2 plus the patch you
provided.  So far they are still running - and I put them under load
that would reliably kill them before.

Thanks,
weasel
-- 
                           |  .''`.  ** Debian GNU/Linux **
      Peter Palfrader      | : :' :      The  universal
 http://www.palfrader.org/ | `. `'      Operating System
                           |   `-    http://www.debian.org/




Tags added: pending Request was from Dann Frazier <dannf@alioth.debian.org> to control@bugs.debian.org. (Fri, 15 Aug 2008 19:12:04 GMT) Full text and rfc822 format available.

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Peter Palfrader <weasel@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 494365-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 494365-close@bugs.debian.org
Subject: Bug#494365: fixed in linux-2.6 2.6.26-3
Date: Wed, 20 Aug 2008 11:09:25 +0000
Source: linux-2.6
Source-Version: 2.6.26-3

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.26-3.diff.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.26-3.diff.gz
linux-2.6_2.6.26-3.dsc
  to pool/main/l/linux-2.6/linux-2.6_2.6.26-3.dsc
linux-doc-2.6.26_2.6.26-3_all.deb
  to pool/main/l/linux-2.6/linux-doc-2.6.26_2.6.26-3_all.deb
linux-headers-2.6.26-1-all-powerpc_2.6.26-3_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-all-powerpc_2.6.26-3_powerpc.deb
linux-headers-2.6.26-1-all_2.6.26-3_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-all_2.6.26-3_powerpc.deb
linux-headers-2.6.26-1-common-vserver_2.6.26-3_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-common-vserver_2.6.26-3_powerpc.deb
linux-headers-2.6.26-1-common_2.6.26-3_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-common_2.6.26-3_powerpc.deb
linux-headers-2.6.26-1-powerpc-smp_2.6.26-3_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-powerpc-smp_2.6.26-3_powerpc.deb
linux-headers-2.6.26-1-powerpc64_2.6.26-3_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-powerpc64_2.6.26-3_powerpc.deb
linux-headers-2.6.26-1-powerpc_2.6.26-3_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-powerpc_2.6.26-3_powerpc.deb
linux-headers-2.6.26-1-vserver-powerpc64_2.6.26-3_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-vserver-powerpc64_2.6.26-3_powerpc.deb
linux-headers-2.6.26-1-vserver-powerpc_2.6.26-3_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-vserver-powerpc_2.6.26-3_powerpc.deb
linux-image-2.6.26-1-powerpc-smp_2.6.26-3_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-1-powerpc-smp_2.6.26-3_powerpc.deb
linux-image-2.6.26-1-powerpc64_2.6.26-3_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-1-powerpc64_2.6.26-3_powerpc.deb
linux-image-2.6.26-1-powerpc_2.6.26-3_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-1-powerpc_2.6.26-3_powerpc.deb
linux-image-2.6.26-1-vserver-powerpc64_2.6.26-3_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-1-vserver-powerpc64_2.6.26-3_powerpc.deb
linux-image-2.6.26-1-vserver-powerpc_2.6.26-3_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-1-vserver-powerpc_2.6.26-3_powerpc.deb
linux-libc-dev_2.6.26-3_powerpc.deb
  to pool/main/l/linux-2.6/linux-libc-dev_2.6.26-3_powerpc.deb
linux-manual-2.6.26_2.6.26-3_all.deb
  to pool/main/l/linux-2.6/linux-manual-2.6.26_2.6.26-3_all.deb
linux-patch-debian-2.6.26_2.6.26-3_all.deb
  to pool/main/l/linux-2.6/linux-patch-debian-2.6.26_2.6.26-3_all.deb
linux-source-2.6.26_2.6.26-3_all.deb
  to pool/main/l/linux-2.6/linux-source-2.6.26_2.6.26-3_all.deb
linux-support-2.6.26-1_2.6.26-3_all.deb
  to pool/main/l/linux-2.6/linux-support-2.6.26-1_2.6.26-3_all.deb
linux-tree-2.6.26_2.6.26-3_all.deb
  to pool/main/l/linux-2.6/linux-tree-2.6.26_2.6.26-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 494365@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 18 Aug 2008 15:34:38 +0200
Source: linux-2.6
Binary: linux-source-2.6.26 linux-doc-2.6.26 linux-manual-2.6.26 linux-patch-debian-2.6.26 linux-tree-2.6.26 linux-support-2.6.26-1 linux-libc-dev linux-headers-2.6.26-1-all linux-headers-2.6.26-1-all-alpha linux-headers-2.6.26-1-common linux-image-2.6.26-1-alpha-generic linux-headers-2.6.26-1-alpha-generic linux-image-2.6.26-1-alpha-smp linux-headers-2.6.26-1-alpha-smp linux-image-2.6.26-1-alpha-legacy linux-headers-2.6.26-1-alpha-legacy linux-headers-2.6.26-1-all-amd64 linux-image-2.6.26-1-amd64 linux-headers-2.6.26-1-amd64 linux-headers-2.6.26-1-common-openvz linux-image-2.6.26-1-openvz-amd64 linux-headers-2.6.26-1-openvz-amd64 linux-headers-2.6.26-1-common-vserver linux-image-2.6.26-1-vserver-amd64 linux-headers-2.6.26-1-vserver-amd64 linux-headers-2.6.26-1-all-arm linux-image-2.6.26-1-footbridge linux-headers-2.6.26-1-footbridge linux-image-2.6.26-1-iop32x linux-headers-2.6.26-1-iop32x linux-image-2.6.26-1-ixp4xx linux-headers-2.6.26-1-ixp4xx linux-image-2.6.26-1-orion5x linux-headers-2.6.26-1-orion5x linux-headers-2.6.26-1-all-armel linux-image-2.6.26-1-versatile linux-headers-2.6.26-1-versatile linux-headers-2.6.26-1-all-hppa linux-image-2.6.26-1-parisc linux-headers-2.6.26-1-parisc linux-image-2.6.26-1-parisc-smp linux-headers-2.6.26-1-parisc-smp linux-image-2.6.26-1-parisc64 linux-headers-2.6.26-1-parisc64 linux-image-2.6.26-1-parisc64-smp linux-headers-2.6.26-1-parisc64-smp linux-headers-2.6.26-1-all-i386 linux-image-2.6.26-1-486 linux-headers-2.6.26-1-486 linux-image-2.6.26-1-686 linux-headers-2.6.26-1-686 linux-image-2.6.26-1-686-bigmem linux-headers-2.6.26-1-686-bigmem linux-image-2.6.26-1-openvz-686 linux-headers-2.6.26-1-openvz-686 linux-image-2.6.26-1-vserver-686 linux-headers-2.6.26-1-vserver-686 linux-image-2.6.26-1-vserver-686-bigmem linux-headers-2.6.26-1-vserver-686-bigmem linux-headers-2.6.26-1-common-xen linux-image-2.6.26-1-xen-686 linux-modules-2.6.26-1-xen-686 linux-headers-2.6.26-1-xen-686 linux-headers-2.6.26-1-all-ia64 linux-image-2.6.26-1-itanium linux-headers-2.6.26-1-itanium linux-image-2.6.26-1-mckinley linux-headers-2.6.26-1-mckinley linux-headers-2.6.26-1-all-m68k linux-image-2.6.26-1-amiga linux-headers-2.6.26-1-amiga linux-image-2.6.26-1-atari linux-headers-2.6.26-1-atari linux-image-2.6.26-1-bvme6000 linux-headers-2.6.26-1-bvme6000 linux-image-2.6.26-1-mac linux-headers-2.6.26-1-mac linux-image-2.6.26-1-mvme147 linux-headers-2.6.26-1-mvme147 linux-image-2.6.26-1-mvme16x linux-headers-2.6.26-1-mvme16x linux-headers-2.6.26-1-all-mips linux-image-2.6.26-1-r4k-ip22 linux-headers-2.6.26-1-r4k-ip22 linux-image-2.6.26-1-r5k-ip32 linux-headers-2.6.26-1-r5k-ip32 linux-image-2.6.26-1-sb1-bcm91250a linux-headers-2.6.26-1-sb1-bcm91250a linux-image-2.6.26-1-sb1a-bcm91480b linux-headers-2.6.26-1-sb1a-bcm91480b linux-image-2.6.26-1-4kc-malta linux-headers-2.6.26-1-4kc-malta linux-image-2.6.26-1-5kc-malta linux-headers-2.6.26-1-5kc-malta linux-headers-2.6.26-1-all-mipsel linux-image-2.6.26-1-r5k-cobalt linux-headers-2.6.26-1-r5k-cobalt linux-headers-2.6.26-1-all-powerpc linux-image-2.6.26-1-powerpc linux-headers-2.6.26-1-powerpc linux-image-2.6.26-1-powerpc-smp linux-headers-2.6.26-1-powerpc-smp linux-image-2.6.26-1-powerpc64 linux-headers-2.6.26-1-powerpc64 linux-image-2.6.26-1-vserver-powerpc linux-headers-2.6.26-1-vserver-powerpc linux-image-2.6.26-1-vserver-powerpc64 linux-headers-2.6.26-1-vserver-powerpc64 linux-headers-2.6.26-1-all-s390 linux-image-2.6.26-1-s390 linux-headers-2.6.26-1-s390 linux-image-2.6.26-1-s390-tape linux-image-2.6.26-1-s390x linux-headers-2.6.26-1-s390x linux-image-2.6.26-1-vserver-s390x linux-headers-2.6.26-1-vserver-s390x linux-headers-2.6.26-1-all-sparc linux-image-2.6.26-1-sparc64 linux-headers-2.6.26-1-sparc64 linux-image-2.6.26-1-sparc64-smp linux-headers-2.6.26-1-sparc64-smp
Architecture: source all powerpc
Version: 2.6.26-3
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 linux-doc-2.6.26 - Linux kernel specific documentation for version 2.6.26
 linux-headers-2.6.26-1-486 - Header files for Linux 2.6.26-1-486
 linux-headers-2.6.26-1-4kc-malta - Header files for Linux 2.6.26-1-4kc-malta
 linux-headers-2.6.26-1-5kc-malta - Header files for Linux 2.6.26-1-5kc-malta
 linux-headers-2.6.26-1-686 - Header files for Linux 2.6.26-1-686
 linux-headers-2.6.26-1-686-bigmem - Header files for Linux 2.6.26-1-686-bigmem
 linux-headers-2.6.26-1-all - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-alpha - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-amd64 - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-arm - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-armel - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-hppa - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-i386 - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-ia64 - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-m68k - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-mips - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-mipsel - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-powerpc - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-s390 - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-sparc - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-alpha-generic - Header files for Linux 2.6.26-1-alpha-generic
 linux-headers-2.6.26-1-alpha-legacy - Header files for Linux 2.6.26-1-alpha-legacy
 linux-headers-2.6.26-1-alpha-smp - Header files for Linux 2.6.26-1-alpha-smp
 linux-headers-2.6.26-1-amd64 - Header files for Linux 2.6.26-1-amd64
 linux-headers-2.6.26-1-amiga - Header files for Linux 2.6.26-1-amiga
 linux-headers-2.6.26-1-atari - Header files for Linux 2.6.26-1-atari
 linux-headers-2.6.26-1-bvme6000 - Header files for Linux 2.6.26-1-bvme6000
 linux-headers-2.6.26-1-common - Common header files for Linux 2.6.26-1
 linux-headers-2.6.26-1-common-openvz - Common header files for Linux 2.6.26-1-openvz
 linux-headers-2.6.26-1-common-vserver - Common header files for Linux 2.6.26-1-vserver
 linux-headers-2.6.26-1-common-xen - Common header files for Linux 2.6.26-1-xen
 linux-headers-2.6.26-1-footbridge - Header files for Linux 2.6.26-1-footbridge
 linux-headers-2.6.26-1-iop32x - Header files for Linux 2.6.26-1-iop32x
 linux-headers-2.6.26-1-itanium - Header files for Linux 2.6.26-1-itanium
 linux-headers-2.6.26-1-ixp4xx - Header files for Linux 2.6.26-1-ixp4xx
 linux-headers-2.6.26-1-mac - Header files for Linux 2.6.26-1-mac
 linux-headers-2.6.26-1-mckinley - Header files for Linux 2.6.26-1-mckinley
 linux-headers-2.6.26-1-mvme147 - Header files for Linux 2.6.26-1-mvme147
 linux-headers-2.6.26-1-mvme16x - Header files for Linux 2.6.26-1-mvme16x
 linux-headers-2.6.26-1-openvz-686 - Header files for Linux 2.6.26-1-openvz-686
 linux-headers-2.6.26-1-openvz-amd64 - Header files for Linux 2.6.26-1-openvz-amd64
 linux-headers-2.6.26-1-orion5x - Header files for Linux 2.6.26-1-orion5x
 linux-headers-2.6.26-1-parisc - Header files for Linux 2.6.26-1-parisc
 linux-headers-2.6.26-1-parisc-smp - Header files for Linux 2.6.26-1-parisc-smp
 linux-headers-2.6.26-1-parisc64 - Header files for Linux 2.6.26-1-parisc64
 linux-headers-2.6.26-1-parisc64-smp - Header files for Linux 2.6.26-1-parisc64-smp
 linux-headers-2.6.26-1-powerpc - Header files for Linux 2.6.26-1-powerpc
 linux-headers-2.6.26-1-powerpc-smp - Header files for Linux 2.6.26-1-powerpc-smp
 linux-headers-2.6.26-1-powerpc64 - Header files for Linux 2.6.26-1-powerpc64
 linux-headers-2.6.26-1-r4k-ip22 - Header files for Linux 2.6.26-1-r4k-ip22
 linux-headers-2.6.26-1-r5k-cobalt - Header files for Linux 2.6.26-1-r5k-cobalt
 linux-headers-2.6.26-1-r5k-ip32 - Header files for Linux 2.6.26-1-r5k-ip32
 linux-headers-2.6.26-1-s390 - Header files for Linux 2.6.26-1-s390
 linux-headers-2.6.26-1-s390x - Header files for Linux 2.6.26-1-s390x
 linux-headers-2.6.26-1-sb1-bcm91250a - Header files for Linux 2.6.26-1-sb1-bcm91250a
 linux-headers-2.6.26-1-sb1a-bcm91480b - Header files for Linux 2.6.26-1-sb1a-bcm91480b
 linux-headers-2.6.26-1-sparc64 - Header files for Linux 2.6.26-1-sparc64
 linux-headers-2.6.26-1-sparc64-smp - Header files for Linux 2.6.26-1-sparc64-smp
 linux-headers-2.6.26-1-versatile - Header files for Linux 2.6.26-1-versatile
 linux-headers-2.6.26-1-vserver-686 - Header files for Linux 2.6.26-1-vserver-686
 linux-headers-2.6.26-1-vserver-686-bigmem - Header files for Linux 2.6.26-1-vserver-686-bigmem
 linux-headers-2.6.26-1-vserver-amd64 - Header files for Linux 2.6.26-1-vserver-amd64
 linux-headers-2.6.26-1-vserver-powerpc - Header files for Linux 2.6.26-1-vserver-powerpc
 linux-headers-2.6.26-1-vserver-powerpc64 - Header files for Linux 2.6.26-1-vserver-powerpc64
 linux-headers-2.6.26-1-vserver-s390x - Header files for Linux 2.6.26-1-vserver-s390x
 linux-headers-2.6.26-1-xen-686 - Header files for Linux 2.6.26-1-xen-686
 linux-image-2.6.26-1-486 - Linux 2.6.26 image on x86
 linux-image-2.6.26-1-4kc-malta - Linux 2.6.26 image on MIPS Malta
 linux-image-2.6.26-1-5kc-malta - Linux 2.6.26 image on MIPS Malta (64-bit)
 linux-image-2.6.26-1-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.26-1-686-bigmem - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.26-1-alpha-generic - Linux 2.6.26 image on Alpha
 linux-image-2.6.26-1-alpha-legacy - Linux 2.6.26 image on Alpha Legacy
 linux-image-2.6.26-1-alpha-smp - Linux 2.6.26 image on Alpha SMP
 linux-image-2.6.26-1-amd64 - Linux 2.6.26 image on AMD64
 linux-image-2.6.26-1-amiga - Linux 2.6.26 image on Amiga
 linux-image-2.6.26-1-atari - Linux 2.6.26 image on Atari
 linux-image-2.6.26-1-bvme6000 - Linux 2.6.26 image on BVM BVME4000 and BVME6000
 linux-image-2.6.26-1-footbridge - Linux 2.6.26 image on Footbridge
 linux-image-2.6.26-1-iop32x - Linux 2.6.26 image on IOP32x
 linux-image-2.6.26-1-itanium - Linux 2.6.26 image on Itanium
 linux-image-2.6.26-1-ixp4xx - Linux 2.6.26 image on IXP4xx
 linux-image-2.6.26-1-mac - Linux 2.6.26 image on Macintosh
 linux-image-2.6.26-1-mckinley - Linux 2.6.26 image on Itanium II
 linux-image-2.6.26-1-mvme147 - Linux 2.6.26 image on Motorola MVME147
 linux-image-2.6.26-1-mvme16x - Linux 2.6.26 image on Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.26-1-openvz-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, OpenVZ support
 linux-image-2.6.26-1-openvz-amd64 - Linux 2.6.26 image on AMD64, OpenVZ support
 linux-image-2.6.26-1-orion5x - Linux 2.6.26 image on Orion
 linux-image-2.6.26-1-parisc - Linux 2.6.26 image on 32-bit PA-RISC
 linux-image-2.6.26-1-parisc-smp - Linux 2.6.26 image on multiprocessor 32-bit PA-RISC
 linux-image-2.6.26-1-parisc64 - Linux 2.6.26 image on 64-bit PA-RISC
 linux-image-2.6.26-1-parisc64-smp - Linux 2.6.26 image on multiprocessor 64-bit PA-RISC
 linux-image-2.6.26-1-powerpc - Linux 2.6.26 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.26-1-powerpc-smp - Linux 2.6.26 image on multiprocessor 32-bit PowerPC
 linux-image-2.6.26-1-powerpc64 - Linux 2.6.26 image on 64-bit PowerPC
 linux-image-2.6.26-1-r4k-ip22 - Linux 2.6.26 image on SGI IP22
 linux-image-2.6.26-1-r5k-cobalt - Linux 2.6.26 image on Cobalt
 linux-image-2.6.26-1-r5k-ip32 - Linux 2.6.26 image on SGI IP32
 linux-image-2.6.26-1-s390 - Linux 2.6.26 image on IBM S/390
 linux-image-2.6.26-1-s390-tape - Linux 2.6.26 image on IBM S/390, IPL from tape
 linux-image-2.6.26-1-s390x - Linux 2.6.26 image on IBM zSeries
 linux-image-2.6.26-1-sb1-bcm91250a - Linux 2.6.26 image on BCM91250A
 linux-image-2.6.26-1-sb1a-bcm91480b - Linux 2.6.26 image on BCM91480B
 linux-image-2.6.26-1-sparc64 - Linux 2.6.26 image on uniprocessor 64-bit UltraSPARC
 linux-image-2.6.26-1-sparc64-smp - Linux 2.6.26 image on multiprocessor 64-bit UltraSPARC
 linux-image-2.6.26-1-versatile - Linux 2.6.26 image on Versatile
 linux-image-2.6.26-1-vserver-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, Linux-VServer sup
 linux-image-2.6.26-1-vserver-686-bigmem - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, Linux-VServer sup
 linux-image-2.6.26-1-vserver-amd64 - Linux 2.6.26 image on AMD64, Linux-VServer support
 linux-image-2.6.26-1-vserver-powerpc - Linux 2.6.26 image on uniprocessor 32-bit PowerPC, Linux-VServer 
 linux-image-2.6.26-1-vserver-powerpc64 - Linux 2.6.26 image on 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.26-1-vserver-s390x - Linux 2.6.26 image on IBM zSeries
 linux-image-2.6.26-1-xen-686 - Linux 2.6.26 image on i686
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.26 - Linux kernel API manual pages for version 2.6.26
 linux-modules-2.6.26-1-xen-686 - Linux 2.6.26 modules on i686
 linux-patch-debian-2.6.26 - Debian patches to version 2.6.26 of the Linux kernel
 linux-source-2.6.26 - Linux kernel source for version 2.6.26 with Debian patches
 linux-support-2.6.26-1 - Support files for Linux 2.6.26
 linux-tree-2.6.26 - Linux kernel source tree for building Debian kernel images
Closes: 494365 494842
Changes: 
 linux-2.6 (2.6.26-3) unstable; urgency=low
 .
   [ Bastian Blank ]
   * Disable Emagic Audiowerk 2 soundcard support. The PCI IDs clashes with
     many DVB cards.
   * Update VServer patch to 2.3.0.35.
   * [armel/versatile] Override ABI changes.
   * [i386/686-bigmem] Add VServer image.
 .
   [ Aurelien Jarno ]
   * [armel/versatile] Disable CONFIG_NO_HZ, CONFIG_HIGH_RES_TIMERS for
     dynticks. (closes: #494842)
 .
   [ Martin Michlmayr ]
   * Fix PCIe on the Kurobox Pro (Lennert Buytenhek).
   * Fix regressions caused by the "use software GSO for SG+CSUM capable
     netdevices" patch:
     - loopback: Enable TSO (Herbert Xu)
     - net: Preserve netfilter attributes in skb_gso_segment using
       __copy_skb_header (Herbert Xu)
 .
   [ dann frazier ]
   * [amd64] Fix typo in TOM2 mask value, preventing a hang on some opteron
     systems. (closes: #494365)
Checksums-Sha1: 
 a338208bd196f7ab8fa188213bf0f9babdffb1ce 5349 linux-2.6_2.6.26-3.dsc
 a240645c97256e3c22b4297cff82a0342a486589 5153209 linux-2.6_2.6.26-3.diff.gz
 cb409f352ada38cba0389eb6c8ef86275fb173be 4607910 linux-doc-2.6.26_2.6.26-3_all.deb
 76630a89f0fd9407786223680597d7cc670ca3d5 1752760 linux-manual-2.6.26_2.6.26-3_all.deb
 e03bea23b8a918cfceb6b596205e2812fa4a08a7 1137554 linux-patch-debian-2.6.26_2.6.26-3_all.deb
 015998bc71ff6cc09dc14d61164c090ad348670b 48413388 linux-source-2.6.26_2.6.26-3_all.deb
 413cd61b707b33e684fcd0c9511811e16c2fb684 107390 linux-support-2.6.26-1_2.6.26-3_all.deb
 caba00332210b40572a300a5f6bd05a455b216b8 92276 linux-tree-2.6.26_2.6.26-3_all.deb
 b87cc6eab4be98fd88e504a46ec0cc9cecec62f0 22986428 linux-image-2.6.26-1-powerpc_2.6.26-3_powerpc.deb
 a57b3708533125d88deef5246fc652c121d1dfb2 345106 linux-headers-2.6.26-1-powerpc_2.6.26-3_powerpc.deb
 78fe9ebae826448269a8aa1eef4af3a6424e0eb4 23376492 linux-image-2.6.26-1-powerpc-smp_2.6.26-3_powerpc.deb
 095435e98a227b0dc6a08269cebca6c368dce24b 346540 linux-headers-2.6.26-1-powerpc-smp_2.6.26-3_powerpc.deb
 592116e40371419decc09af86c27df5a8eb23fba 23229760 linux-image-2.6.26-1-powerpc64_2.6.26-3_powerpc.deb
 8b559a7e0ad299ed1e735efa4831bb0b67862604 352580 linux-headers-2.6.26-1-powerpc64_2.6.26-3_powerpc.deb
 43a1754ed9a4dd36175db13b05c7140058273ef4 3760466 linux-headers-2.6.26-1-common_2.6.26-3_powerpc.deb
 cecb96291dda67702e706b47e600ade4da2b9846 91908 linux-headers-2.6.26-1-all_2.6.26-3_powerpc.deb
 16d379cc5d8445e93d7df328a55c981f0be1c035 91942 linux-headers-2.6.26-1-all-powerpc_2.6.26-3_powerpc.deb
 864d2848775aa596b61bee1d7026f5a99a97daf4 728348 linux-libc-dev_2.6.26-3_powerpc.deb
 fe92f2e18fe1d33675e4b3a867cc36c05f94f568 23419078 linux-image-2.6.26-1-vserver-powerpc_2.6.26-3_powerpc.deb
 884ce7ec7365ebff5f3702ac74682e961909b90d 347092 linux-headers-2.6.26-1-vserver-powerpc_2.6.26-3_powerpc.deb
 1f2afd1177d4e62b5aa76a3b9108e707fc02ec51 23282058 linux-image-2.6.26-1-vserver-powerpc64_2.6.26-3_powerpc.deb
 e39b061ec0db31afcf57451b0ed9f7ae51bdf840 353028 linux-headers-2.6.26-1-vserver-powerpc64_2.6.26-3_powerpc.deb
 4864d2c71e33f516d0bcf9a6925545ed5f89007a 3793164 linux-headers-2.6.26-1-common-vserver_2.6.26-3_powerpc.deb
Checksums-Sha256: 
 e238606ef6f871803075b4509943a24abfe900f6c0cc045503957d50536b500b 5349 linux-2.6_2.6.26-3.dsc
 de8a0861929b8e2c4b1e47397071df4bc1dea967cb0f9eb4d79e7632ed05527e 5153209 linux-2.6_2.6.26-3.diff.gz
 a12ece69deddfa02df1e047ce278f3aa0b4688011063ba0b7a232daadc08ccaa 4607910 linux-doc-2.6.26_2.6.26-3_all.deb
 18c51b28d91a383050d3bcadc64d3539e3510368827952784f86826dd723ec4f 1752760 linux-manual-2.6.26_2.6.26-3_all.deb
 0eda937c4dd4ad579c968e7975e589830c09b47460067034c2f6057d9fb2e974 1137554 linux-patch-debian-2.6.26_2.6.26-3_all.deb
 ab6b85f845fb6f5853a4b30a7901abe0536240fd0ef5504c746b4f03302e5067 48413388 linux-source-2.6.26_2.6.26-3_all.deb
 5f8f30235e601d26cfcf5ac596af82c94200bf70d833239b4e94594a11a7bb58 107390 linux-support-2.6.26-1_2.6.26-3_all.deb
 2774ece8c685dac9999fec5a4a23dc5c74b363284936a2cf9499da64c9d6b3a8 92276 linux-tree-2.6.26_2.6.26-3_all.deb
 3a5547c99f577a29fd47ae768af5ae709e3176ecf0bdfe3a9bea821ca7737679 22986428 linux-image-2.6.26-1-powerpc_2.6.26-3_powerpc.deb
 dd59aa77b9dabfb44e5d0b23f6e64097717606998bd62d5088728197223daa51 345106 linux-headers-2.6.26-1-powerpc_2.6.26-3_powerpc.deb
 5aaceea604089300bb11e9cb86d75fb2ea6475588121edc1be41491433a3c68b 23376492 linux-image-2.6.26-1-powerpc-smp_2.6.26-3_powerpc.deb
 0c4d5119858bfdf33cee4987c99a1a91d79e1c658c443b135630204883a0eb0c 346540 linux-headers-2.6.26-1-powerpc-smp_2.6.26-3_powerpc.deb
 ba810be75ddc8ee0dc8c8d4d198ccc14f00a3c4d584a5c10465b6376caaf8572 23229760 linux-image-2.6.26-1-powerpc64_2.6.26-3_powerpc.deb
 da964a4673cd23285e3570b510f2b1791c78adaedf432197bf8b791308a0a813 352580 linux-headers-2.6.26-1-powerpc64_2.6.26-3_powerpc.deb
 0f715b7c32074f05881ddde3e0620e2c72e0a92fddac61fa8e11ab3f11a9656c 3760466 linux-headers-2.6.26-1-common_2.6.26-3_powerpc.deb
 fd46f7e59bcd58ca39aece78c93d452a528296405f6e5ddd894ceab42824f58c 91908 linux-headers-2.6.26-1-all_2.6.26-3_powerpc.deb
 fba4f2c35fe72a6d5ac3c3a415dd7f981d7e5addc06057220c5be4e6be129129 91942 linux-headers-2.6.26-1-all-powerpc_2.6.26-3_powerpc.deb
 2d7e124ddd7449739d86ef853fb04ec17937fe6e25f2098da7c4d6dd2005a9de 728348 linux-libc-dev_2.6.26-3_powerpc.deb
 cb7d1df87a0dd8d2c4fe0c41cdfe415de9cf0bda36b972d97e52e64f2a012175 23419078 linux-image-2.6.26-1-vserver-powerpc_2.6.26-3_powerpc.deb
 6c24a3b4a18637ec26a8bdb64d3d6965706c0fa36e934d56b9731d644520a546 347092 linux-headers-2.6.26-1-vserver-powerpc_2.6.26-3_powerpc.deb
 ba45ab2106309e7138c08d9fda0e6c911456ba71a80940174e4387e569730fa8 23282058 linux-image-2.6.26-1-vserver-powerpc64_2.6.26-3_powerpc.deb
 79fc5c7388c11a4560d6264493f66500f90a0662bea74946effb51a4424dc5d6 353028 linux-headers-2.6.26-1-vserver-powerpc64_2.6.26-3_powerpc.deb
 a8f59cbdea9c18a8982c28c14a7a391518b24df7a94b61c99f4cc9c2ff2c1eaf 3793164 linux-headers-2.6.26-1-common-vserver_2.6.26-3_powerpc.deb
Files: 
 b0a67064e83f47dc49673135d6371a82 5349 devel optional linux-2.6_2.6.26-3.dsc
 b92b0574010ce901d6d63af0347dc063 5153209 devel optional linux-2.6_2.6.26-3.diff.gz
 9fdcf20dae52620029b90d4002e0a596 4607910 doc optional linux-doc-2.6.26_2.6.26-3_all.deb
 e824aa21fcfb70ff5ef03177165a5776 1752760 doc optional linux-manual-2.6.26_2.6.26-3_all.deb
 2c387078958cf5165471b49de2020489 1137554 devel optional linux-patch-debian-2.6.26_2.6.26-3_all.deb
 a071d16e312a2d93d1c7b6f63bdbf095 48413388 devel optional linux-source-2.6.26_2.6.26-3_all.deb
 80a6039b313fefc73345afde14752e1f 107390 devel optional linux-support-2.6.26-1_2.6.26-3_all.deb
 9797eb654feb351ff5f8977e7ba15043 92276 devel optional linux-tree-2.6.26_2.6.26-3_all.deb
 ed86078b0400071b8a50071fe61bf6ee 22986428 admin optional linux-image-2.6.26-1-powerpc_2.6.26-3_powerpc.deb
 51a76e69786236658767482f8140abf6 345106 devel optional linux-headers-2.6.26-1-powerpc_2.6.26-3_powerpc.deb
 156cebaa4dec728aafa53d97cf8ac2e3 23376492 admin optional linux-image-2.6.26-1-powerpc-smp_2.6.26-3_powerpc.deb
 4924492b4dab5b80b84c3ac3afbac25b 346540 devel optional linux-headers-2.6.26-1-powerpc-smp_2.6.26-3_powerpc.deb
 3a7775c7d2bd9ac5e961ccfd247f8c0a 23229760 admin optional linux-image-2.6.26-1-powerpc64_2.6.26-3_powerpc.deb
 dc882996ad11d68d63acdfeaa792aca2 352580 devel optional linux-headers-2.6.26-1-powerpc64_2.6.26-3_powerpc.deb
 21b4203cb1a1e9eebe7abf986c57be5c 3760466 devel optional linux-headers-2.6.26-1-common_2.6.26-3_powerpc.deb
 cb36c3915b7aae80485fdda7a876c33c 91908 devel optional linux-headers-2.6.26-1-all_2.6.26-3_powerpc.deb
 cf191e7815f0c0997c651ac312298475 91942 devel optional linux-headers-2.6.26-1-all-powerpc_2.6.26-3_powerpc.deb
 998a961ebd6ad53f6475b3d57702ded3 728348 devel optional linux-libc-dev_2.6.26-3_powerpc.deb
 493ba0c09deec27cdc44ce01c200929c 23419078 admin optional linux-image-2.6.26-1-vserver-powerpc_2.6.26-3_powerpc.deb
 c0c525347f331b97145bfc6cd26b6db4 347092 devel optional linux-headers-2.6.26-1-vserver-powerpc_2.6.26-3_powerpc.deb
 45e46445cea0983cfffe95b7779d4afb 23282058 admin optional linux-image-2.6.26-1-vserver-powerpc64_2.6.26-3_powerpc.deb
 e00c9bc95b9eba241fc5f8ea71cfb7e9 353028 devel optional linux-headers-2.6.26-1-vserver-powerpc64_2.6.26-3_powerpc.deb
 585c481396a857827bd545b8deb70c3e 3793164 devel optional linux-headers-2.6.26-1-common-vserver_2.6.26-3_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkiplc8ACgkQxWtQqFixGB7hbgCggkci8j+kBIFru74rrSromc5m
aBYAnRzxBt09ykDiZSMeSsYjgR037BHH
=Yad4
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 25 Sep 2008 07:30:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:54:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.